Page MenuHomePhabricator

[TTI] Add supportsScalableVectors target hook
ClosedPublic

Authored by c-rhodes on Dec 10 2020, 12:51 PM.

Details

Summary

This is split off from D91718 and adds a new target hook
supportsScalableVectors that can be queried to check if scalable vectors
are supported by the backend. For AArch64 this returns true if SVE is
enabled.

Diff Detail

Event Timeline

c-rhodes created this revision.Dec 10 2020, 12:51 PM
c-rhodes requested review of this revision.Dec 10 2020, 12:51 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 10 2020, 12:51 PM
david-arm accepted this revision.Dec 17 2020, 5:10 AM
david-arm added a subscriber: david-arm.

LGTM!

This revision is now accepted and ready to land.Dec 17 2020, 5:10 AM
This revision was landed with ongoing or failed builds.Dec 18 2020, 2:59 AM
This revision was automatically updated to reflect the committed changes.